"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const auto_tagging_1 = require("./auto-tagging");
const header_auto_tagging_1 = require("./header-auto-tagging");
const extension = {
    id: 'auto-tagging-widget',
    activate: (superdesk) => {
        const { gettext } = superdesk.localization;
        const label = gettext('iMatrics tagging');
        const result = {
            contributions: {
                authoringSideWidgets: [
                    {
                        _id: 'imatrics-auto-tagging-widget',
                        label: label,
                        icon: 'tag',
                        order: 1,
                        component: auto_tagging_1.getAutoTaggingComponent(superdesk, label),
                        isAllowed: (item) => item.type === 'text',
                    },
                ],
                authoringHeaderComponents: [
                    {
                        _id: 'imatrics-header-component',
                        label: gettext('iMatrics'),
                        order: 40,
                        component: header_auto_tagging_1.getHeaderAutoTaggingComponent(superdesk),
                    },
                ],
            },
        };
        return Promise.resolve(result);
    },
};
exports.default = extension;
