"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const show_marked_user_1 = require("./show-marked-user");
const get_article_actions_1 = require("./get-article-actions");
const get_article_actions_bulk_1 = require("./get-article-actions-bulk");
const get_authoring_actions_1 = require("./get-authoring-actions");
const get_marked_for_me_component_1 = require("./get-marked-for-me-component");
const extension = {
    activate: (superdesk) => {
        const result = {
            contributions: {
                globalMenuHorizontal: [get_marked_for_me_component_1.getMarkedForMeComponent(superdesk)],
                articleListItemWidgets: [show_marked_user_1.getDisplayMarkedUserComponent(superdesk)],
                authoringTopbarWidgets: [show_marked_user_1.getDisplayMarkedUserComponent(superdesk)],
                authoringActions: get_authoring_actions_1.authoringActionsInitialize(superdesk),
                entities: {
                    article: {
                        getActions: get_article_actions_1.getActionsInitialize(superdesk),
                        getActionsBulk: get_article_actions_bulk_1.getActionsBulkInitialize(superdesk),
                    },
                },
            },
        };
        return Promise.resolve(result);
    },
};
exports.default = extension;
