"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
function getMarkForUserModal(superdesk, onUpdate, locked, markedForUserInitial, message) {
    const { gettext } = superdesk.localization;
    const { Modal, ModalHeader, ModalBody, ModalFooter, SelectUser, } = superdesk.components;
    const { logger } = superdesk.utilities;
    return class MarkForUserModalComponent extends React.Component {
        constructor(props) {
            super(props);
            this.state = {
                selectedUserId: markedForUserInitial,
            };
        }
        render() {
            return (React.createElement(Modal, null,
                React.createElement(ModalHeader, { onClose: this.props.closeModal }, gettext('Mark for user')),
                React.createElement(ModalBody, null,
                    message == null ? null : (React.createElement("div", { className: "sd-alert sd-alert--hollow sd-alert--primary sd-alert--small" }, message)),
                    locked === true ? (React.createElement("div", { className: "sd-alert sd-alert--hollow sd-alert--primary sd-alert--small" }, gettext('Item is locked and marked user can not be changed.'))) : null,
                    React.createElement(SelectUser, { disabled: locked, onSelect: (selectedUser) => this.setState({ selectedUserId: selectedUser._id }), selectedUserId: this.state.selectedUserId })),
                React.createElement(ModalFooter, null,
                    React.createElement("button", { className: "btn", onClick: () => this.props.closeModal() }, gettext('Cancel')),
                    markedForUserInitial !== undefined ? (React.createElement("button", { className: "btn btn--warning", disabled: locked, onClick: () => {
                            this.props.closeModal();
                            onUpdate(null);
                        } }, gettext('Unmark'))) : null,
                    React.createElement("button", { className: "btn btn--primary", disabled: this.state.selectedUserId === undefined // no user selected
                            || this.state.selectedUserId === markedForUserInitial // user hasn't changed
                            || locked, onClick: () => {
                            this.props.closeModal();
                            if (this.state.selectedUserId !== undefined) {
                                onUpdate(this.state.selectedUserId);
                            }
                            else {
                                logger.error(new Error('selectedUserId can not be undefined'));
                            }
                        } }, gettext('Confirm')))));
        }
    };
}
exports.getMarkForUserModal = getMarkForUserModal;
